This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 632354 - [6.1 FEAT] Valgrind System z support
[6.1 FEAT] Valgrind System z support
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: valgrind (Show other bugs)
6.1
s390x All
high Severity high
: beta
: 6.1
Assigned To: Jakub Jelinek
qe-baseos-tools
: FutureFeature, OtherQA
Depends On:
Blocks: 538808 633878 580566
  Show dependency treegraph
 
Reported: 2010-09-09 14:31 EDT by IBM Bug Proxy
Modified: 2011-05-19 09:58 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:58:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 66892 None None None Never

  None (edit)
Description IBM Bug Proxy 2010-09-09 14:31:06 EDT
1. Feature Overview:
Feature Id: [66892]
a. Name of Feature: [6.1 FEAT] Valgrind System z support
b. Feature Description
Request to upgrade Valgrind to 3.6 (yet to be released) and accept patch (which provides s390x
support) on top. The patch will be upstream after 3.6.

Valgrind is a suite of tools for debugging and profiling Linux programs. currently it is available
for x86/ppc-Linux. With the tools that come with Valgrind, a developer can automatically detect many
memory management and threading bugs, avoiding hours of frustrating bug-hunting, making his programs
more stable. With Valgind a detailed profiling can be performed, to speed up and reduce memory use
in programs. This line item covers the implementation of Valgrind for System z. With this item
completed it will be possible to run complex applications under Valgrind on System z. The memcheck
and cachegrind valgrind plugins will also be ported to System z as part of this line item.

2. Feature Details:
Sponsor: LTC zSeries BOE
Architectures:  zSeries - 64 native, 

Arch Specificity: both
Affects Kernel Modules: Field does not exist
Delivery Mechanism: Direct from Community
Category: other
Request Type: Package - Version Update
d. Upstream Acceptance: Field does not exist
Sponsor Priority P2
f. Severity: high
IBM Confidential: No
Code Contribution: IBM code
g. Component Version Target:---

3. Business Case
Valgrind has proven to be a valuable tool debugging user-space memory management problem on x86 and
PPC platforms. Several customers have requested to have this tool on zSeries as well. Besides the
capabilities to debug memory problems other plugins (cachegrind) enable us to analyze the cache
access patterns of applications which turned out to be a key issue in order to get the best
performance on z10 machines.

4. Primary contact at Red Hat:
John Jarvis, jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com
Comment 2 IBM Bug Proxy 2010-10-04 12:16:11 EDT
------- Comment From rsisk@us.ibm.com 2010-10-04 11:32 EDT-------
Code Upstream Status: In Progress
Comment 3 IBM Bug Proxy 2010-11-03 10:50:54 EDT
------- Comment From borntraeger@de.ibm.com 2010-11-03 10:43 EDT-------
FYI. valgrind 3.6 was released on 21/10/2010.
Updated patch is in https://bugs.kde.org/show_bug.cgi?id=243404
Comment 4 Jakub Jelinek 2010-11-22 04:30:27 EST
valgrind-3.6.0, including the s390{,x} support, has been so far pushed into rawhide.
Comment 6 John Jarvis 2010-11-30 10:35:40 EST
IBM is signed up to test and provide feedback, setting OtherQA.
Comment 8 John Jarvis 2010-12-01 09:46:57 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 9 Jakub Jelinek 2010-12-01 14:40:08 EST
I've tried to backport this, but the 1.5MB worth of patches have > 200KB of rejects and there were several internal valgrind API changes, so the code would need to be adjusted.

So, I think rebase is the only option, unless IBM would like to do the backport of the s390x stuff to 3.5.0 themselves.  Shipping 3.5.0 on most RHEL6.1 arches and only on s390x ship 3.6.0 instead is not a good idea.

The power6 changes on the other side are likely backportable (assuming I've identified all the relevant ones), but if we rebase for s390x anyway, the backporting would be wasted work.
Comment 10 IBM Bug Proxy 2010-12-01 15:21:20 EST
------- Comment From gmuelas@de.ibm.com 2010-12-01 15:15 EDT-------
Hello Jakub,

exactly with what you point out, IBM System z request is to rebase to 3.6.0 and to add the s390x upstream patch which fits in 3.6.0.

Let us know if you may want to have a call about it in case you cannot join next Wednesday Fedora/RHEL 6.x System z Dev call.

Thank you for your support!
Comment 13 IBM Bug Proxy 2011-03-08 04:05:20 EST
------- Comment From borntraeger@de.ibm.com 2011-03-08 03:48 EDT-------
FYi, the s390x port went upstream yesterday.
Comment 15 IBM Bug Proxy 2011-04-05 02:11:41 EDT
------- Comment From mgrf@de.ibm.com 2011-04-05 02:09 EDT-------
This is verified on r 6.1 snapshots - set to verified  Thx
Comment 16 Chris Ward 2011-04-06 07:05:16 EDT
~~ Partners and Customers ~~

This bug was included in RHEL 6.1 Beta. Please confirm the status of this request as soon as possible.

If you're having problems accessing 6.1 bits, are delayed in your test execution or find in testing that the request was not addressed adequately, please let us know.

Thanks!
Comment 17 errata-xmlrpc 2011-05-19 09:58:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0665.html

Note You need to log in before you can comment on or make changes to this bug.